EMI 2 (Matterhorn) - Update 16 (05.08.2013) - v. 2.10.0-1

The Update contains:

  • revision release of BDII core v. 1.5.2, BDII site, v. 1.2.1, BDII top, v. , BLAH, v. 1.1.1, CREAM, v. 1.14.5, CREAM TORQUE module, v. 2.0.2, Cluster, v. 2.0.1, GridSite v. and PX, v. 1.0.24

BDII core, v. 1.5.2

What's new:

  • version 5.2.21:
    • This new version of the core BDII contains a fix for a minor security vulnerability affecting all flavours of the BDII. It also contains a set of minor bug fixes and some new features:
    • Security Vulnerability - SVG:Advisory-SVG-2013-5266
    • Bug fixes:
      • BUG #102140: Start bdii-update daemon from "/"
      • BUG #101709: Start bdii-update with -l option
      • BUG #101562: Service information provider dies if it can't get a hostname
      • BUG #100872: Service information provider updated to use new WMS rpm name
      • BUG #100822: Service information provider change for Argus PDP endpoint
      • BUG #100126: Service information provider change for new EMI 3 LB pid file
      • BUG #102168: Service information provider change to set new limit of 240 chars to ServiceData strings
    • New features:
      • BUG #102014: clean site and top ldap info provider cache after a BDII restart
      • BUG #101398: LDAP DB backend improvements for top BDII
      • BUG #101389: New YAIM parameter 'BDII_RAM_SIZE' that customises the RAM disk size for top BDII (Default is 1500M)
  • version 5.2.20:
  • version 5.2.17:

Installation & Configuration:

  • *PLEASE PAY ATTENTION" that the following release notes apply for passing from version 5.2.12 to 5.2.21:
    • version 5.2.17:
      • In SL5 installations, if YAIM is not used to configure the BDII, the /etc/sysconfig/bdii file needs to be manually changed and define:
        SLAPD=/usr/sbin/slapd2.4
      • openldap 2.4 is the mandatory version needed since this new release. This is due to some changes in the configuration of the BDII needed to be able to work with ARC resources.
      • Steps to publish service information in EMIR using YAIM:
        • Install EMIR service publisher from the EMI repositories: yum install emir-serp
        • Define the following YAIM variables in site-info.def:
                      BDII_EMIR_ENABLE=yes
                      BDII_EMIR_HOST=http://hostname:port
                     
        • Run the following YAIM command:
                      # /opt/glite/yaim/bin/yaim -r -s site-info.def -f config_emir_serp -n NODE_type
                      
    • version 5.2.20:
      • After upgrading the bdii package, follow the instructions below:
        • Resource BDII
          • restart BDII
        • site BDII
          • delete contents of /var/lib/bdii/gip/cache/gip/top-urls.conf-glue2
          • restart BDII
        • Top BDII
          • delete contents of /var/lib/bdii/gip/cache/gip/top-urls.conf-glue2
          • restart BDII
      • please see the Extended Release Notes for 5.2.20
    • version 5.2.21:
      • A restart of the BDII is needed to benefit from the bug fixes and new features
      • A YAIM reconfiguration is needed if BDII_RAM_SIZE is customised.

Known Issues

  • Affects EPEL installations in SL5 upgrading to bdii >= 5.2.20 with Openldap 2.4 installed. In this scenario, the LDAP daemon will fail to start. YAIM detects that Openldap 2.4 is installed and tries to use it. On the other hand, the slapd.conf file has been defined to use Openldap 2.3. This is because Openldap 2.4 is not distributed in EPEL 5 and the necessary dependencies have been resolved with Openldap 2.3 packages. Please, uninstall Openldap 2.4 or add the following lines in /etc/bdii/bdii-slapd.conf:
    modulepath /usr/lib64/openldap2.4
    moduleload back_relay

Artifacts

SL5
Binaries
bdii-5.2.21-1.el5.noarch.rpm
glite-yaim-bdii-4.3.14-1.el5.noarch.rpm
glite-info-provider-service-1.13.1-1.el5.noarch.rpm
glue-schema-2.0.10-1.el5.noarch.rpm
SL6
Binaries
bdii-5.2.21-1.el6.noarch.rpm
glite-yaim-bdii-4.3.14-1.el6.noarch.rpm
glite-info-provider-service-1.13.1-1.el6.noarch.rpm
glue-schema-2.0.10-1.el6.noarch.rpm

BDII site, v. 1.2.1

What's new:

  • This new version of the site BDII contains a fix in the ldap info provider script to set to 'Unknown' cached GLUE state attributes

  • Bug fixes:
    • BUG #101709: Set to 'Unknown' ldap info provider cached state attributes for the site BDII

Installation & Configuration

  • A restart of the BDII is needed to benefit from the bug fix

Known Issues

  • Sometimes GLUE state attributes are not cleanly replaced with the string 'Unknown'. i.e. "GLUE2EndpointHealthStateInfo: Unknownp and running"

Artifacts

SL5
Binaries
glite-info-provider-ldap-1.4.5-1.el5.noarch.rpm
bdii-config-site-1.0.7-1.el5.noarch.rpm
SL6
Binaries
glite-info-provider-ldap-1.4.5-1.el6.noarch.rpm
bdii-config-site-1.0.7-1.el6.noarch.rpm

BDII top, v. 1.1.1

What's new:

  • This new version of the top BDII fixes a bug in the publication of delayed delete GLUE entries. A new plugin is responsible for publishing cached entries with value 'Unknown' in the corresponding GLUE state attributes. This version also includes a bug fix in the glite-info-update-endpoints script.

  • Bug fixes:
    • BUG #99322: error message if manual file does not exist in the glite-info-update-endpoint configuration script
    • BUG #99298: new plugin to set GLUE state attributes to 'Unknown' when the delayed delete option is configured

  • Removed features:
    • BUG #101709: ldap info provider has been modified for not caching LDIF files in a top BDII

Installation & Configuration

  • The new plugin is distributed in the new package glite-info-plugin-delayed-delete-status, which is installed as a dependecy of the bdii-config-top package
  • A restart of the BDII is needed to benefit from the bug fixes

Known Issues

  • The glite-info-update-endpoints script is executed as an hourly cron job. It creates a cache file of the list of GOCDB and OIM site LDAP URLs. When the BDII is restarted, the cache file is used. Although the list of sites does not change very frequently in GOCDB and OIM, for an up to date list, re-run glite-info-update-endpoints before the BDII restart:
  • - BUG #102173: glite-info-plugin-delayed-delete-status does not set to 'Unknown' Computing and Storage Share state attributes

Artifacts

SL5
Binaries
glite-info-provider-ldap-1.4.5-1.el5.noarch.rpm
bdii-config-top-1.0.8-1.el5.noarch.rpm
glite-info-plugin-delayed-delete-status-1.0.0-1.el5.noarch.rpm
glite-info-update-endpoints-2.0.13-1.el5.noarch.rpm
glite-info-plugin-fcr-3.0.5-1.el5.noarch.rpm
SL6
Binaries
glite-info-provider-ldap-1.4.5-1.el6.noarch.rpm
bdii-config-top-1.0.8-1.el6.noarch.rpm
glite-info-plugin-delayed-delete-status-1.0.0-1.el6.noarch.rpm
glite-info-update-endpoints-2.0.13-1.el6.noarch.rpm
glite-info-plugin-fcr-3.0.5-1.el6.noarch.rpm

BLAH, v. 1.1.1

What's new:

  • Fixed the following bugs:
    • [https://issues.infn.it/jira/browse/CREAM-94] - Command not found error in /usr/libexec/sge_cancel.sh.
    • [https://issues.infn.it/jira/browse/CREAM-105] - Env vars in blah.config should be exported also in daemons
    • [https://issues.infn.it/jira/browse/CREAM-112] - sge_local_submit_attributes.sh problem with memory requirements

Installation & Configuration:

  • yum update

Artifacts

SL5
Binaries
glite-ce-blahp-1.18.4-0.el5.x86_64.rpm
Source RPM
glite-ce-blahp-1.18.4-0.el5.src.rpm
SL6
Binaries
glite-ce-blahp-1.18.4-0.el6.x86_64.rpm
Source RPM
glite-ce-blahp-1.18.4-0.el6.src.rpm

CREAM, v. 1.14.5

What's new:

  • Improved the calculation of ERT/WRT
  • Fixed the following bugs for CREAM:
    • [https://issues.infn.it/jira/browse/CREAM-75] - CREAM should avoid to log the error messages by including even the full stack trace (i.e printStackTrace()).
    • [https://issues.infn.it/jira/browse/CREAM-77] - List index error from persistent estimator
    • [https://issues.infn.it/jira/browse/CREAM-78] - Check for /etc/lrms in config_cream_gip_scheduler_plugin
    • [https://issues.infn.it/jira/browse/CREAM-82] - Check permission for /var/cream_sandbox
    • [https://issues.infn.it/jira/browse/CREAM-83] - CREAM should be able to immediately kill also queued jobs, when the proxy is expiring
    • [https://issues.infn.it/jira/browse/CREAM-84] - The DelegationPurger may cause a java.lang.OutOfMemoryError exception
    • [https://issues.infn.it/jira/browse/CREAM-99] - Python error on ERT calculation: local variable 'est' referenced before assignment
    • [https://issues.infn.it/jira/browse/CREAM-111] - Wrong tokenization for epilogue argument list
  • Fixed the following bugs for CERAM Clients
    • [https://issues.infn.it/jira/browse/CREAM-89] - --leaseId option doesn't work
    • [https://issues.infn.it/jira/browse/CREAM-90] - --help option doesn't work on glite-ce-job-submit and glite-ce-event-query
    • [https://issues.infn.it/jira/browse/CREAM-91] - man page missing for glite-ce-job-lease

Installation & Configuration:

  • after update, running YAIM configurator is required

Known issues:

  • Wrong GLUEServiceStartTime; date is set to "1970-01-01T01:00:00+01:00".
  • It is necessary to add the following definition in the file "/var/lib/bdii/gip/provider/glite-info-provider-service-cream-wrapper":
     export CREAM_PID_FILE=/var/run/tomcat5.pid #for SL5
     export CREAM_PID_FILE=/var/run/tomcat6.pid #for SL6

Artifacts

SL5
Binaries
dynsched-generic-2.5.2-2.el5.noarch.rpm
glite-ce-cream-1.14.5-3.el5.noarch.rpm
glite-ce-cream-api-java-1.14.4-1.el5.noarch.rpm
glite-ce-cream-core-1.14.5-3.el5.noarch.rpm
glite-ce-cream-es-1.14.5-3.el5.noarch.rpm
glite-ce-yaim-cream-ce-4.3.3-3.el5.noarch.rpm
glite-ce-cream-cli-1.14.2-1.el5.x86_64.rpm
glite-ce-cream-client-api-c-1.14.3-1.el5.x86_64.rpm
glite-ce-cream-client-devel-1.14.3-1.el5.x86_64.rpm
Source RPM
dynsched-generic-2.5.2-2.el5.src.rpm
glite-ce-cream-1.14.5-3.el5.src.rpm
glite-ce-cream-api-java-1.14.4-1.el5.src.rpm
glite-ce-yaim-cream-ce-4.3.3-3.el5.src.rpm
glite-ce-blahp-1.18.4-0.el5.src.rpm
glite-yaim-cluster-2.1.1-3.el5.src.rpm
SL6
Binaries
dynsched-generic-2.5.2-2.el6.noarch.rpm
glite-ce-cream-1.14.5-3.el6.noarch.rpm
glite-ce-cream-api-java-1.14.4-1.el6.noarch.rpm
glite-ce-cream-core-1.14.5-3.el6.noarch.rpm
glite-ce-cream-es-1.14.5-3.el6.noarch.rpm
glite-ce-yaim-cream-ce-4.3.3-3.el6.noarch.rpm
Binary tarballs
dynsched-generic-2.5.2-2.el6.noarch.rpm
glite-ce-cream-1.14.5-3.el6.noarch.rpm
glite-ce-cream-api-java-1.14.4-1.el6.noarch.rpm
glite-ce-cream-core-1.14.5-3.el6.noarch.rpm
glite-ce-cream-es-1.14.5-3.el6.noarch.rpm
glite-ce-yaim-cream-ce-4.3.3-3.el6.noarch.rpm

CREAM TORQUE module, v. 2.0.2

What's new:

  • Fixed the following bug:
    • [https://issues.infn.it/jira/browse/CREAM-101] - Wrong time format for MaxWallClockTime

Installation & Configuration:

  • yum update

Artifacts

SL5
Binaries
lcg-info-dynamic-scheduler-pbs-2.4.2-2.el5.noarch.rpm
Source RPM
lcg-info-dynamic-scheduler-pbs-2.4.2-2.el5.src.rpm
SL6
Binaries
lcg-info-dynamic-scheduler-pbs-2.4.2-2.el6.noarch.rpm
Source RPM
lcg-info-dynamic-scheduler-pbs-2.4.2-2.el6.src.rpm

Cluster, v. 2.0.1

What's new:

  • Fixed the following bugs:
    • [https://issues.infn.it/jira/browse/CREAM-95] - CE_* YAIM variables not mandatory for GLUE2 in cluster mode
    • [https://issues.infn.it/jira/browse/CREAM-96] - CLUSTER Yaim generates incorrect Subcluster configuration
    • [https://issues.infn.it/jira/browse/CREAM-97] - Wrong GLUE output format in a CREAM+Cluster installation
    • [https://issues.infn.it/jira/browse/CREAM-98] - Generated configuration files conflict with CREAM ones
    • [https://issues.infn.it/jira/browse/CREAM-100] - Remove lcg prefix from template

Installation & Configuration:

  • yum update

Artifacts

SL5
Binaries
glite-yaim-cluster-2.1.1-3.el5.noarch.rpm
Source RPM
glite-yaim-cluster-2.1.1-3.el5.src.rpm
SL6
Binaries
glite-yaim-cluster-2.1.1-3.el6.noarch.rpm
Source RPM
glite-yaim-cluster-2.1.1-3.el6.src.rpm

GridSite, v. 1.7.27

What's new:

  • This is a hotfix for GridSite, allowing the previously disallowed dash character in delegation IDs. Delegation IDs containing non-alphanumeric characters other than a dot, coma, underscore or dash are rejected.
  • For more details see Extended Release Notes

Installation & Configuration

  • To deploy, update your installation and restart the Web-server.

Known issues:

  • When upgrading from the EMI repository on Debian, mod_gridsite is not correctly replaced. Uninstall the old module first and install the new one to work around the issue.

Artifacts

SL5
x86_64 Binaries
gridsite-1.7.27-1.el5.x86_64.rpm
gridsite-commands-1.7.27-1.el5.x86_64.rpm
gridsite-debuginfo-1.7.27-1.el5.x86_64.rpm
gridsite-devel-1.7.27-1.el5.x86_64.rpm
gridsite-gsexec-1.7.27-1.el5.x86_64.rpm
gridsite-libs-1.7.27-1.el5.x86_64.rpm
gridsite-service-clients-1.7.27-1.el5.x86_64.rpm
gridsite-slashgrid-1.7.27-1.el5.x86_64.rpm
i386 Binary
gridsite-1.7.27-1.el5.i386.rpm
gridsite-commands-1.7.27-1.el5.i386.rpm
gridsite-debuginfo-1.7.27-1.el5.i386.rpm
gridsite-devel-1.7.27-1.el5.i386.rpm
gridsite-gsexec-1.7.27-1.el5.i386.rpm
gridsite-libs-1.7.27-1.el5.i386.rpm
gridsite-service-clients-1.7.27-1.el5.i386.rpm
gridsite-slashgrid-1.7.27-1.el5.i386.rpm
Source RPM
gridsite-1.7.27-1.el5.src.rpm
SL6
x86_64 Binaries
gridsite-1.7.27-1.el6.x86_64.rpm
gridsite-commands-1.7.27-1.el6.x86_64.rpm
gridsite-debuginfo-1.7.27-1.el6.x86_64.rpm
gridsite-devel-1.7.27-1.el6.x86_64.rpm
gridsite-gsexec-1.7.27-1.el6.x86_64.rpm
gridsite-libs-1.7.27-1.el6.x86_64.rpm
gridsite-service-clients-1.7.27-1.el6.x86_64.rpm
gridsite-slashgrid-1.7.27-1.el6.x86_64.rpm
i386 Binary
gridsite-1.7.27-1.el6.i686.rpm
gridsite-commands-1.7.27-1.el6.i686.rpm
gridsite-debuginfo-1.7.27-1.el6.i686.rpm
gridsite-devel-1.7.27-1.el6.i686.rpm
gridsite-gsexec-1.7.27-1.el6.i686.rpm
gridsite-libs-1.7.27-1.el6.i686.rpm
gridsite-service-clients-1.7.27-1.el6.i686.rpm
gridsite-slashgrid-1.7.27-1.el6.i686.rpm
Source RPM
gridsite-1.7.27-1.el6.src.rpm
Deb6 Binaries
gridsite_1.7.27-1_amd64.deb
gridsite-commands_1.7.27-1_amd64.deb
gridsite-gsexec_1.7.27-1_amd64.deb
gridsite-service-clients_1.7.27-1_amd64.deb
gridsite-slashgrid_1.7.27-1_amd64.deb
libgridsite1.7_1.7.27-1_amd64.deb
libgridsite-dev_1.7.27-1_amd64.deb
Deb6 Source
gridsite_1.7.27-1.dsc
gridsite_1.7.27-1.debian.tar.gz
gridsite_1.7.27.orig.tar.gz

PX, v.1.0.24-1

What's new:

  • This is a bugfix release for ProxyRenewal, fixing memory handling issues and also minor packaging issues identified in Fedora review.
  • For more details see Extended Release notes

Installation & Configuration

  • Upon update, restart the ProxyRenewal daemon by calling /etc/init.d/glite-proxy-renewald restart

Artifacts

SL5
x86_64 Binaries
glite-px-myproxy-yaim-4.1.14-1.el5.noarch.rpm
glite-px-proxyrenewal-1.3.34-1.el5.x86_64.rpm
glite-px-proxyrenewal-debuginfo-1.3.34-1.el5.x86_64.rpm
glite-px-proxyrenewal-devel-1.3.34-1.el5.x86_64.rpm
glite-px-proxyrenewal-libs-1.3.34-1.el5.x86_64.rpm
glite-px-proxyrenewal-progs-1.3.34-1.el5.x86_64.rpm
i386 Binaries
glite-px-myproxy-yaim-4.1.14-1.el5.noarch.rpm
glite-px-proxyrenewal-1.3.34-1.el5.i386.rpm
glite-px-proxyrenewal-debuginfo-1.3.34-1.el5.i386.rpm
glite-px-proxyrenewal-devel-1.3.34-1.el5.i386.rpm
glite-px-proxyrenewal-libs-1.3.34-1.el5.i386.rpm
glite-px-proxyrenewal-progs-1.3.34-1.el5.i386.rpm
Source RPM
glite-px-myproxy-yaim-4.1.14-1.el5.src.rpm
glite-px-proxyrenewal-1.3.34-1.el5.src.rpm
SL6
x86_64 Binaries
glite-px-proxyrenewal-1.3.34-1.el6.x86_64.rpm
glite-px-proxyrenewal-debuginfo-1.3.34-1.el6.x86_64.rpm
glite-px-proxyrenewal-devel-1.3.34-1.el6.x86_64.rpm
glite-px-proxyrenewal-libs-1.3.34-1.el6.x86_64.rpm
glite-px-proxyrenewal-progs-1.3.34-1.el6.x86_64.rpm
i386 Binaries
glite-px-myproxy-yaim-4.1.14-1.el6.noarch.rpm
glite-px-proxyrenewal-1.3.34-1.el6.i686.rpm
glite-px-proxyrenewal-debuginfo-1.3.34-1.el6.i686.rpm
glite-px-proxyrenewal-devel-1.3.34-1.el6.i686.rpm
glite-px-proxyrenewal-libs-1.3.34-1.el6.i686.rpm
glite-px-proxyrenewal-progs-1.3.34-1.el6.i686.rpm
Source RPM
glite-px-myproxy-yaim-4.1.14-1.el6.src.rpm
glite-px-proxyrenewal-1.3.34-1.el6.src.rpm
Deb6 Binaries
glite-px-myproxy-yaim_4.1.14-1_all.deb
glite-px-proxyrenewal_1.3.34-1_amd64.deb
glite-px-proxyrenewal-progs_1.3.34-1_amd64.deb
glite-px-proxyrenewal-progs-dbg_1.3.34-1_amd64.deb
libglite-security-proxyrenewal1_1.3.34-1_amd64.deb
libglite-security-proxyrenewal1-dbg_1.3.34-1_amd64.deb
libglite-security-proxyrenewal-dev_1.3.34-1_amd64.deb
Deb6 Source
glite-px-myproxy-yaim_4.1.14-1.dsc
glite-px-proxyrenewal_1.3.34-1.dsc
glite-px-myproxy-yaim_4.1.14-1.debian.tar.gz
glite-px-myproxy-yaim_4.1.14.orig.tar.gz
glite-px-proxyrenewal_1.3.34-1.debian.tar.gz
glite-px-proxyrenewal_1.3.34.orig.tar.gz
Edit | Attach | Watch | Print version | History: r14 < r13 < r12 < r11 < r10 | Backlinks | Raw View | WYSIWYG | More topic actions
Topic revision: r14 - 2013-08-04 - DoinaCristinaAiftimiei
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    EMI All webs login

This site is powered by the TWiki collaboration platform Powered by PerlCopyright & 2008-2020 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback